# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    bin_name = glob.glob("*x86*.msi")[0]

    # Installing the package
    print("Installing: %s" % bin_name)
    install_msi_if_needed(
        bin_name,
        min_version=control.get_software_version(),
    )

    registry_setstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\Nextcloud GmbH\Nextcloud", "skipUpdateCheck", 1, type=REG_DWORD)
